import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:news_getx/modules/widgets/app_bar.dart';
import 'package:news_getx/theme/app_colors.dart';
import 'package:webview_flutter/webview_flutter.dart';
import 'detail_controller.dart';

class DetailPage extends GetView<DetailController> {
  DetailPage({Key? key}) : super(key: key);

  // 顶部导航
  AppBar _buildAppBar() {
    return transparentAppBar(
        leading: IconButton(
          onPressed: () {},
          icon: Icon(
            Icons.arrow_back,
            color: AppColors.primaryText,
          ),
        ),
        actions: [
          IconButton(
            onPressed: () {},
            icon: Icon(
              Icons.bookmark_border,
              color: AppColors.primaryText,
            ),
          ),
          IconButton(
            onPressed: () {},
            icon: Icon(
              Icons.share,
              color: AppColors.primaryText,
            ),
          ),
        ]);
  }

  Widget _buildPageTitle() {
    return Text('data');
  }

  Widget _buildPageHeader() {
    return Text('data');
  }

  Widget _buildWebView() {
    return WebViewWidget(
      controller: controller.webViewController,
    );
  }

  @override
  Widget build(BuildContext context) {
    return _buildWebView();

    return Scaffold(
      appBar: _buildAppBar(),
      body: SingleChildScrollView(
        child: Column(
          children: [
            _buildPageTitle(),
            Divider(height: 1),
            _buildPageHeader(),
            _buildWebView(),
          ],
        ),
      ),
    );
  }
}
